﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ChartSave129786
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        SfChart chart;
        public MainWindow()
        {
            InitializeComponent();
            ExportChart();
        }    
        void ExportChart()
        {
            chart = new SfChart()
            {
                Header = "SfChartDemo",
                FontSize = 20,
                Background = new SolidColorBrush(Colors.White),
                Height = 400,
                Width = 750
            };
            chart.PrimaryAxis = new CategoryAxis() { Header = "XValue", EdgeLabelsDrawingMode = EdgeLabelsDrawingMode.Shift };
            chart.SecondaryAxis = new NumericalAxis() { Interval = 10, Header = "YValue" };
            chart.Series.Add(new SplineSeries()
            {
                ItemsSource = new ViewModel().Collection,
                XBindingPath = "XValue",
                YBindingPath = "YValue",
                Label = "Series1"
            });
            chart.Legend = new ChartLegend();

            chart.Measure(new Size(chart.Width, chart.Height));
            chart.Arrange(new Rect(0, 0, chart.Width, chart.Height));
            chart.Save("chart.png");
        }  
    }
}
